<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>keyphrase_extractor &#8212; NLP004  documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=4f649999" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=039e1c02" />
    <script src="../_static/documentation_options.js?v=5929fcd5"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="rules" href="rules.html" />
    <link rel="prev" title="get_by_doi" href="get_by_doi.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="module-helpers.keyphrase_extractor">
<span id="keyphrase-extractor"></span><h1>keyphrase_extractor<a class="headerlink" href="#module-helpers.keyphrase_extractor" title="Link to this heading">¶</a></h1>
<dl class="py class">
<dt class="sig sig-object py" id="helpers.keyphrase_extractor.KeyphraseExtractionPipeline">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">helpers.keyphrase_extractor.</span></span><span class="sig-name descname"><span class="pre">KeyphraseExtractionPipeline</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">model</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/keyphrase_extractor.html#KeyphraseExtractionPipeline"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.keyphrase_extractor.KeyphraseExtractionPipeline" title="Link to this definition">¶</a></dt>
<dd><dl class="py method">
<dt class="sig sig-object py" id="helpers.keyphrase_extractor.KeyphraseExtractionPipeline.postprocess">
<span class="sig-name descname"><span class="pre">postprocess</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">all_outputs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/keyphrase_extractor.html#KeyphraseExtractionPipeline.postprocess"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.keyphrase_extractor.KeyphraseExtractionPipeline.postprocess" title="Link to this definition">¶</a></dt>
<dd><p>Postprocess will receive the raw outputs of the <cite>_forward</cite> method, generally tensors, and reformat them into
something more friendly. Generally it will output a list or a dict or results (containing just strings and
numbers).</p>
</dd></dl>

</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.keyphrase_extractor.extractor">
<span class="sig-prename descclassname"><span class="pre">helpers.keyphrase_extractor.</span></span><span class="sig-name descname"><span class="pre">extractor</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/keyphrase_extractor.html#extractor"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.keyphrase_extractor.extractor" title="Link to this definition">¶</a></dt>
<dd><p>Uses keyphrase-extraction-kbir-inspec from ml6team to extract keyphrases from text.</p>
<p>Arguments:</p>
<blockquote>
<div><p>text (str): Input text.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>list: A list of strings, each beign a keyphrase recognized from the text.</p>
</div></blockquote>
</dd></dl>

</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">NLP004</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../modules.html">python</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="../helpers.html">helpers</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="helper_functions.html">helper_functions</a></li>
<li class="toctree-l3"><a class="reference internal" href="preprocessing.html">preprocessing</a></li>
<li class="toctree-l3"><a class="reference internal" href="text_encoder.html">text_encoder</a></li>
<li class="toctree-l3"><a class="reference internal" href="get_by_doi.html">get_by_doi</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">keyphrase_extractor</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#helpers.keyphrase_extractor.KeyphraseExtractionPipeline"><code class="docutils literal notranslate"><span class="pre">KeyphraseExtractionPipeline</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.keyphrase_extractor.extractor"><code class="docutils literal notranslate"><span class="pre">extractor()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="rules.html">rules</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../scripts.html">scripts</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../pipe.html">pipe</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  <li><a href="../modules.html">python</a><ul>
  <li><a href="../helpers.html">helpers</a><ul>
      <li>Previous: <a href="get_by_doi.html" title="previous chapter">get_by_doi</a></li>
      <li>Next: <a href="rules.html" title="next chapter">rules</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Ughur Mammadzada.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/helpers/keyphrase_extractor.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>